
#property indicator_chart_window

   
//-------------------------------------------------------------------
   string timeframe = "W1";
   int period = 14;
   extern int x_adjust = 0;
   extern int y_adjust = 0;

//-------------------------------------------------------------------
int init()
  {

   return(0);
  }
//-------------------------------------------------------------------
int start()
  {
   int tf=0;
   if (timeframe=="M1")tf=1;
   if (timeframe=="M5")tf=5;
   if (timeframe=="M15")tf=15;
   if (timeframe=="M30")tf=30;
   if (timeframe=="H1")tf=60;
   if (timeframe=="H4")tf=240;
   if (timeframe=="D1")tf=1440;
   if (timeframe=="W1")tf=10080;
   if (timeframe=="MN1" || timeframe=="MN")tf=43200;

   double curr_high = iHigh(Symbol(),tf,0);
   double curr_low = iLow(Symbol(),tf,0);
   double curr_range = (curr_high - curr_low)* MathPow(10,Digits);
   double prev_high = iHigh(Symbol(),tf,1);
   double prev_low = iLow(Symbol(),tf,1);
   double prev_range = (prev_high - prev_low) * MathPow(10,Digits);
   double ATR = (iATR(Symbol(),tf,period,0))* MathPow(10,Digits);

   label ("rnge",x_adjust+5,y_adjust+65);
   ObjectSetText("rnge",timeframe+" RANGE",14,"Comic Sans MS",DimGray);
   label ("c_r",x_adjust+5,y_adjust+45);
   ObjectSetText("c_r","Current "+DoubleToStr(curr_range,0),12,"Comic Sans MS",Gold);
   label ("p_r",x_adjust+5,y_adjust+25);
   ObjectSetText("p_r","Previous "+DoubleToStr(prev_range,0),12,"Comic Sans MS",Gray);
   label ("atr",x_adjust+5,y_adjust+5);
   ObjectSetText("atr","ATR("+period+") "+DoubleToStr(ATR,0),12,"Comic Sans MS",Green);

   return(0);
  }
//-------------------------------------------------------------------

int deinit()
  {
   ObjectDelete("rnge");
   ObjectDelete("c_r");
   ObjectDelete("p_r");
   ObjectDelete("atr");
   
   return(0);
  }
//-------------------------------------------------------------------

void label(string name,int X,int Y,int corner=3)
   {
    ObjectCreate(name,OBJ_LABEL,0,0,0);
    ObjectSet(name,OBJPROP_CORNER,corner);
    ObjectSet(name,OBJPROP_XDISTANCE,X);
    ObjectSet(name,OBJPROP_YDISTANCE,Y);
   }